diff --git a/src/tutorial/subscripting.c b/src/tutorial/subscripting.c
index c1ff66d299..9f64e3f2bd 100644
--- a/src/tutorial/subscripting.c
+++ b/src/tutorial/subscripting.c
@@ -170,7 +170,7 @@ custom_subscript_fetch(Datum containerSource, SubscriptingRefState *sbstate)
 	if (sbstate->numupper != 1)
 		ereport(ERROR, (errmsg("custom does not support nested subscripting")));
 
-	index = DatumGetInt32(sbstate->upper[0]);
+	index = DatumGetInt32(sbstate->numupper);
 
 	if (index == 1)
 		return (Datum) container->first;
@@ -190,7 +190,7 @@ custom_subscript_assign(Datum containerSource, SubscriptingRefState *sbstate)
 	if (sbstate->numupper != 1)
 		ereport(ERROR, (errmsg("custom does not support nested subscripting")));
 
-	index = DatumGetInt32(sbstate->upper[0]);
+	index = DatumGetInt32(sbstate->numupper);
 
 	if (index == 1)
 		container->first = DatumGetInt32(sbstate->replacevalue);
